Skip to main content

suix_queryEvents

POST

Return list of events for a specified query criteria.
param[0]
querystringrequired
The event query criteria. See Event filter documentation for examples.
param[1]
cursorobjectrequired
Optional paging cursor
eventSeqstringrequired
txDigestobjectrequired
param[2]
limitintegerrequired
Maximum number of items per page, default to [QUERY_MAX_RESULT_LIMIT] if not specified.
param[3]
descendingOrderbooleanrequired
Query result ordering, default to false (ascending order), oldest record first.
Responses
jsonrpcstring
idinteger
next_cursor points to the last item in the page; Reading with next_cursor will start from the next item after next_cursor if next_cursor is Some, otherwise it will start from the first item.
eventSeqstringrequired
txDigestobjectrequired
packageIdobjectrequired
parsedJsonstringrequired
Parsed json value of the event
senderobjectrequired
timestampMsstring
UTC timestamp in milliseconds since epoch (1/1/1970)
transactionModulestringrequired
Move module where this event was emitted.
typestringrequired
Move event type.
hasNextPagebooleanrequired
Unique ID of a Sui Event, the ID is a combination of transaction digest and event seq number.
eventSeqstringrequired
txDigestobjectrequired
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "suix_queryEvents",
"params": [
{
"MoveModule": {
"package": "0xa395759ca37c6e1ffc179184e98a6f9a2da5d78f6e34b0e5044ed52a6bc0a1bc",
"module": "test"
}
},
{
"eventSeq": "1",
"txDigest": "Eg3ynETJfTfPKyvJzq3VLG6MngURYHPMjjUJ3Xt1t7tf"
},
100,
false
]
}'